Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class WaitSemaphore

    java.lang.Object
      org.jboss.util.Semaphore
          org.jboss.util.WaitSemaphore

All Implemented Interfaces:
  Sync, WaitSync

public class WaitSemaphore
extends Semaphore
implements WaitSync

Wait exclusive semaphore with wait - notify primitives

Version:
  $Revision: 1.1 $
Author:
  Simone Bordet

Constructor Summary
`WaitSemaphore()`

Method Summary
`void` | `doNotify()` Wakes up this sync that has been posed in wait status by a `doWait()` call.
`void` | `doWait()` Pone in wait status this sync, until `doNotify()` is called to wake it up.
`int` | `getWaiters()`
`String` | `toString()`

Methods inherited from class org.jboss.util.Semaphore
`acquire, getUsers, logAcquire, logDeadlock, logRelease, release, waitImpl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.Sync
`acquire, release`

Constructor Detail

### WaitSemaphore

    public WaitSemaphore()

Method Detail

### doWait

    public void doWait()
                throws InterruptedException

  Description copied from interface: `WaitSync`
  Pone in wait status this sync, until `WaitSync.doNotify()` is called to wake it up.

  Specified by:
    `doWait` in interface `WaitSync`
  Throws:
    `InterruptedException`
  See Also:
    `WaitSync.doNotify()`

### doNotify

    public void doNotify()
                  throws InterruptedException

  Description copied from interface: `WaitSync`
  Wakes up this sync that has been posed in wait status by a `WaitSync.doWait()` call. If this sync is not waiting, invoking this method should have no effect.

  Specified by:
    `doNotify` in interface `WaitSync`
  Throws:
    `InterruptedException`
  See Also:
    `WaitSync.doWait()`

### getWaiters

    public int getWaiters()

### toString

    public String toString()

  Overrides:
    `toString` in class `Semaphore`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.